console.log('what up');

// You can import API functions like this from D3.js.
import { select } from 'd3';

// You can import local ES6 modules like this. See message.js!
import { logMe } from './myMessage';

function render(us) {
  console.log(us);
  const svg = select('svg');
  const height = svg.attr('height');
  var path = d3.geoPath();

  
  svg
    .append('g')
    .attr('class', 'counties')
    .selectAll('path')
    .data(topojson.feature(us, us.objects.states).features)
    .enter()
    .append('path')
    .attr('fill', (d) => (d.id == '06' ? 'red' : 'blue'))
    .attr('d', path)
    .append('title')
    .text(function (d) {
      return d.rate + '%';
    })
    .on('click', (d) => console.log(d));
}

var data = [];
const url = 'https://bost.ocks.org/mike/bubble-map/us.json';
d3.json(url).then((y) => {
  console.log(y);
  render(y);
});
